GET /v1/public/workflows/{id}/runs
List runs for a public workflow

Path Parameters

id string required path
Workflow ID

Query Parameters

limit integer optional query
Number of items (default 20, max 100)
offset integer optional query
Offset for pagination (default 0)

Responses

200 OK
application/json
code integer
data object
hasMore boolean
items object[]
Array of:
finishedAt string
id string
startedAt string
status string
workflowId string
limit integer
offset integer
message string
requestId string
404 Not Found
curl -X GET 'https://api.example.com/v1/public/workflows/string/runs' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/public/workflows/string/runs', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/public/workflows/string/runs', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/public/workflows/string/runs", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 0,  "data": {    "hasMore": true,    "items": [      {        "finishedAt": "<string>",        "id": "<string>",        "startedAt": "<string>",        "status": "<string>",        "workflowId": "<string>"      }    ],    "limit": 123,    "offset": 123  },  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I